package org.linlinjava.jz.hm.service;

import org.linlinjava.jz.db.domain.HmEmployRelation;
import org.linlinjava.jz.db.dto.hm.EmployListDto;

import java.util.List;

public interface HmEmployRelationService {


    public List<HmEmployRelation> getRelation(Long userId);

    /**
     * 查询管家对应的客户数量
     *
     * @param userId
     * @return
     */
    public Long butlerCustomerNumber(Long userId);

    /**
     * 查询客户列表
     *
     * @param userButlerId
     * @param queryStr
     * @param page
     * @param size
     * @return
     */
    public List<EmployListDto> getEmployList(Long userButlerId, String queryStr);

    HmEmployRelation queryById(Long id);
}
